Jump to content

[TOPIC: topicViewTemplate]
[GLOBAL: userSmallPhoto]
Photo

Brand new empty project won't build to device with gpgs.v2 plugin
Started by nml2727 Dec 30 2019 08:06 AM

7 replies to this topic
gpgs gpgs plugin plugin failed build wont build plugin error
[TOPIC CONTROLS]
[/TOPIC CONTROLS]
[modOptionsDropdown]
[/modOptionsDropdown]
[reputationFilter]
[TOPIC: post.html]
#1

nml2727

[GLOBAL: userInfoPane.html]
nml2727
  • Enthusiast

  • 89 posts
  • Corona SDK

So I created a brand new empty project and built an android .apk file.  No issues.

 

I added the following lines to build.settings: 

	plugins =
	{
		["plugin.gpgs.v2"] =
        {
            publisherId = "com.coronalabs",
            supportedPlatforms = { ["android"]=true }
       },
	},

Now the build fails with an error of 

 

9  Exception in thread "DisconnectableInputStream source reader" org.gradle.api.UncheckedIOException: java.io.IOException: Access is denied  

 

and  

 

  ERROR: configuring 'shared.google.play.services.games_com.coronalabs' failed!

 

 

 

Can someone help me out?  Why am I getting access denied when just trying to include a plugin?



[TOPIC: post.html]
#2

nick_sherman

[GLOBAL: userInfoPane.html]
nick_sherman
  • Corona Geek

  • 1,913 posts
  • Corona SDK

Which build of Corona? You'll need a recent daily build.



[TOPIC: post.html]
#3

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 26,539 posts
  • Enterprise

And make sure you have Java JDK 1.8 installed.

 

Rob



[TOPIC: post.html]
#4

nml2727

[GLOBAL: userInfoPane.html]
nml2727
  • Enthusiast

  • 89 posts
  • Corona SDK

2019.12.1             So every time I try to include gpgs.v2 plugin on an old version it's going to fail the build?



[TOPIC: post.html]
#5

nml2727

[GLOBAL: userInfoPane.html]
nml2727
  • Enthusiast

  • 89 posts
  • Corona SDK

Just downloaded the latest daily build and I get the same error.   

 

My jdk is 13.0.1.      That should be recent enough right, Rob?



[TOPIC: post.html]
#6

nml2727

[GLOBAL: userInfoPane.html]
nml2727
  • Enthusiast

  • 89 posts
  • Corona SDK

11:16:04.918  * Where:
11:16:04.918  Build file 'C:\Users\Nelson\AppData\Local\Temp\Corona Labs\CLtmpa01320\template\app\build.gradle.kts' line: 275
 
Seems like the error has something to do with this build.gradle.kts  file but I have no idea what that's about. 


[TOPIC: post.html]
#7

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 26,539 posts
  • Enterprise

Android Gradle builds require Java JDK 1.8. JDK 13 will not work. You will need to downgrade to 1.8

 

I'm not sure (without digging) what version of Corona you're using. We normally use a number scheme like 2019.3563 or something like that. You're using a slightly older version. I recommend getting the latest daily build:

 

https://developer.coronalabs.com/downloads/daily-builds/



[TOPIC: post.html]
#8

nml2727

[GLOBAL: userInfoPane.html]
nml2727
  • Enthusiast

  • 89 posts
  • Corona SDK

I'm using 2019.3565          Just got the most recent daily build. 

 

Regarding downgrading to 1.8:

 

1)  On oracles website I only see Java SE 8.  Is that the same as 1.8 or do I need to be looking somewhere else?

 

2) Do I need to be worried that downgrading might cause other issues that are currently working fine with the app?




[topic_controls]
[/topic_controls]

Also tagged with one or more of these keywords: gpgs, gpgs plugin, plugin, failed build, wont build, plugin error